package com.railway.business.safetool.mapper;

import com.github.pagehelper.Page;
import com.railway.business.safetool.domain.SecScheduledTool;
import com.railway.business.safetool.domain.vo.SecScheduledToolsAddVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 安全计划和工具关系表
* @author lijie
* @date 2021/12/04
*/
@Mapper
@Repository
public interface SecScheduledToolMapper {

    /**
    * 新增
    */
    int insert(SecScheduledTool secScheduledTool);
    int check(SecScheduledTool secScheduledTool);
    int checkdel(SecScheduledToolsAddVo secScheduledTool);

    /**
    * 删除
    */
    int delete(SecScheduledToolsAddVo secScheduledTool);

    /**
    * 更新
    */
    int update(SecScheduledTool secScheduledTool);

    /**
    * 获取单个
    */
    SecScheduledTool getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<SecScheduledTool> getList(SecScheduledTool secScheduledTool);

}
